- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_socket_t

# mongoc_socket_listen()

## Synopsis

    int
    mongoc_socket_listen (mongoc_socket_t *sock, unsigned int backlog);

## Parameters

- `sock`: A mongoc_socket_t.
- `backlog`: An int containing max backlog size.

## Description

This function is similar to the BSD sockets `listen()` function. It is meant for socket servers.

## Returns

0 on success, -1 on failure and errno is set.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.